## NAME

           grdtrack - Sampling of a 2-D grdfile along 1-D trackline (a sequence of
           x,y points)

## SYNOPSIS

           grdtrack xyfile -Ggrdfile [ -H[nrec] ] [ -L[flag] ] [ -M[flag] ] [ -Q ]
           [ -Rwest/east/south/north ] [ -S ] [ -V ] [ -Z ] [ -: ] [ -bi[s][n] ] [
           -bo[s][n] ]

## DESCRIPTION

           grdtrack reads a grdfile and a table (from file or standard input) with
           (x,y) positions in the first two columns (more columns may be present).
           It interpolates the grid at the positions in the table and  writes  out
           the table with the interpolated values added as a new column. A bicubic
           [Default] or bilinear [-Q] interpolation is  used,  requiring  boundary
           conditions at the limits of the region (see -Lflag option).

           xyfile This  is  an  ASCII  [or  binary, see -b] file where the first 2
                  columns hold the (x,y) positions where the user wants to  sample
                  the 2-D data set.

           -G     grdfile is a 2-D binary grd file with the function f(x,y).

## OPTIONS

           No space between the option flag and the associated arguments.

           -H     Input file(s) has Header record(s). Number of header records can
                  be changed by editing  your  .gmtdefaults  file.  If  used,  GMT
                  default is 1 header record.

           -L     Boundary  condition  flag may be x or y or xy indicating data is
                  periodic in range of x or y or both set by -R, or flag may be  g
                  indicating  geographical  conditions  (x and y are lon and lat).
                  [Default uses "natural" conditions  (second  partial  derivative
                  normal to edge is zero).]  If no flag is supplied, it is assumed
                  that the x column contains longitudes, which may differ from the
                  region  in  -R by [multiples of] 360 degrees [Default assumes no
                  periodicity].

           -M     Multiple segment file. Segment separator is a  record  beginning
                  with flag.  [Default is ’>’].

           -Q     Quick mode. Use bilinear rather than bicubic interpolation.

           -R     west,  east, south, and north specify the Region of interest. To
                  specify boundaries in degrees and minutes [and seconds], use the
                  dd:mm[:ss]  format.  Append  r if lower left and upper right map
                  coordinates are given instead of wesn.

           -S     Suppress the output of interpolated points that  result  in  NaN
                  values.

           -V     Selects verbose mode, which will send progress reports to stderr
                  [Default runs "silently"].

           -Z     Only  write  out  the  sampled  z-values  [Default  writes   all
                  columns].

           -:     Toggles  between  (lon,lat) and (lat,lon) input/output. [Default
                  is (lon,lat)]

           -bi    Selects binary input. Append s for single precision [Default  is
                  double].   Append  n  for  the  number  of columns in the binary
                  file(s).  [Default is 2 input columns].

           -O     Selects Overlay plot mode [Default initializes a new  plot  sys-
                  tem].

## HINTS

           If  an  interpolation  point is not on a node of the input grid, then a
           NaN at any node in the neighborhood surrounding the point will yield an
           interpolated  NaN.  Bicubic  interpolation  [default] yields continuous
           first derivatives but requires a neighborhood of 4 nodes  by  4  nodes.
           Bilinear interpolation [-Q] uses only a 2 by 2 neighborhood, but yields
           only zeroth-order continuity. Use bicubic when smoothness is important.
           Use bilinear to minimize the propagation of NaNs.

## EXAMPLES

           To  sample  the file hawaii_topo.grd along the SEASAT track track_4.xyg
           (An ASCII table  containing  longitude,  latitude,  and  SEASAT-derived
           gravity, preceeded by one header record), try

           grdtrack track_4.xyg -Ghawaii_topo.grd -H > track_4.xygt

## SEE ALSO

           gmt(l), surface(l), sample1d(l)

    GMT3.4.6                          1 Jan 2005                       GRDTRACK(l)